/*
*    INTEL CORPORATION PROPRIETARY INFORMATION 
*
*    This software is supplied under the terms of a license
*    agreement or nondisclosure agreement with Intel Corporation 
*    and may not be copied or disclosed except in accordance with 
*    the terms of that agreement.
*    Copyright (c) 1991,1992,1993  Intel Corporation. 
*
*/
/* -------- BEGIN WIN_APP ---------------------------------------------*/
	/* These functions/macros are should be used with the _try/_except block
	** for IAMMx emulation..  The user must have the following construct to 
	** use IAMMx instructions..
	**		
	**		_try {
	**			Any IAMMx code should be here.. 
	**		}
	**		_except(MMX_HANDLE_EXCEPTION) {
	**		}
	**
	** MMX_HANDLE_EXCEPTION expands to a call to MMxHandleException() with the context info passed 
	** to it as parameters.  MMxHandleException() lives in mm.c
	*/
#include <windows.h>
#include <excpt.h>
#ifdef __cplusplus
extern "C" {
#endif
	extern int MMxHandleException(PEXCEPTION_POINTERS pucp, int exCode);
	#define MMX_HANDLE_EXCEPTION MMxHandleException(GetExceptionInformation(), GetExceptionCode())
#ifdef __cplusplus
}
#endif

